> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raswindevicegroupinboundport.md).

# Get-RASWinDeviceGroupInboundPort

### NAME

Get-RASWinDeviceGroupInboundPort\ <br>

### SYNOPSIS

Retrieves the Windows device group Inbound ports\ <br>

### SYNTAX

Get-RASWinDeviceGroupInboundPort \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#Id)] *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#CommonParameters)*>*]\
\
Get-RASWinDeviceGroupInboundPort \[\[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#InputObject)] *<*[*WinDeviceGroup*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroup.html)*>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#CommonParameters)*>*]\
\
Get-RASWinDeviceGroupInboundPort \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#Name)] *\<string>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroupInboundPort.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the Windows device group Inbound ports.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the windows device group from which to add the Inbound Port.\
\
This must be the actual windows device group name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
The ID of the Site from which from which to add the Inbound Port.\
\
If the parameter is omitted, the Licensing Server Site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a windows device group from which to add the Inbound Port.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**WinDeviceGroup**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroup.html)**>**\
The Windows Device Group to modify.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[WinDeviceGroup](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroup.html)

### OUTPUTS

[WinDeviceGroupInboundPort\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroupInboundPort\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASWinDeviceGroupInboundPort -Name "WinDeviceGroup"\
\
Retrieves the Inbound ports of the Windows device group with name WinDeviceGroup.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASWinDeviceGroupInboundPort -Id 1\
\
Retrieves the Inbound ports of the Windows device group with Id 1.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raswindevicegroupinboundport.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
